commit:     eb5b5bbf5faf8276cc2f19022d95f0420882c4c0
Author:     Theo Donacik <theodonacik <AT> gmail <DOT> com>
AuthorDate: Sun May  5 15:21:20 2024 +0000
Commit:     Theo Donacik <theodonacik <AT> gmail <DOT> com>
CommitDate: Sun May  5 15:21:20 2024 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=eb5b5bbf

gui-wm/swayfx: add 0.4

Signed-off-by: Theo Donacik <theodonacik <AT> gmail.com>

 gui-wm/swayfx/Manifest                |  1 +
 gui-wm/swayfx/files/sway-portals.conf |  6 +++
 gui-wm/swayfx/swayfx-0.4.ebuild       | 93 +++++++++++++++++++++++++++++++++++
 3 files changed, 100 insertions(+)

diff --git a/gui-wm/swayfx/Manifest b/gui-wm/swayfx/Manifest
index f48afef3e0..c3c1fd0744 100644
--- a/gui-wm/swayfx/Manifest
+++ b/gui-wm/swayfx/Manifest
@@ -1,3 +1,4 @@
 DIST swayfx-0.2.tar.gz 5534158 BLAKE2B 
e01ac28ea24743d5fe937d953114c8316f3de27b7813f83cce0f6f76bf524f079357be810845791c4431db7e315f096411e6d7a0e2174673e4247d16e3e44bc1
 SHA512 
0884513a0851b19546f2cc647d8590c7d82494604028ed71b2e6fefbac7f3fff141be26e783ccc504b8da84bbed6c1e12a2194f0713c920e1cc34a6360ac318c
 DIST swayfx-0.3.2.tar.gz 5684837 BLAKE2B 
ffe2a5d4a756f30007fb65824471196b6c51034a4e205558a82f547211714be8b0ae03763f32203c9d99fab4d3d69320f2244975a7c279d813091b8629d0c20a
 SHA512 
0cffa25fc4b4d40621b14d9dc430f1aa9956ad935124cfda7dd1a63cbf997f0d506922b1168c7ad13250fa909cc1328526818f75ec936aa8d6cc40152dfbb358
 DIST swayfx-0.3.tar.gz 5746551 BLAKE2B 
6455416f54d9e36d33f2f17146c3f2c41ff77a154fcb49f12906c5ba5b2ced3eecb9f052423ad5916885a9e6602160a404bd9fe351272c34cc5b375656b75604
 SHA512 
a6054d167c9d41a6e3fe9247683267c40ac55637a565649724fad0d7caf340d8aa51ab65767a7f8becc0480eced1eb42a5c851dfc5d815a73c3ae99eb1c39572
+DIST swayfx-0.4.tar.gz 17603249 BLAKE2B 
eda975a0598ba9363066f015d0f5e1a5574775b5cb75a9cf9e7020d04ab16c236b5472b726c40ccd765bf743b6cd659323334915064ac887164b07b798cd58c5
 SHA512 
a6b30d5b466eb20ca1090daf442377f4f911a97e3089e2966420352c98a8e5b3384abb128118889b9b214f50e6bd65bb744ad941acb05ae105331e60a5e67293

diff --git a/gui-wm/swayfx/files/sway-portals.conf 
b/gui-wm/swayfx/files/sway-portals.conf
new file mode 100644
index 0000000000..aa046f63c4
--- /dev/null
+++ b/gui-wm/swayfx/files/sway-portals.conf
@@ -0,0 +1,6 @@
+[preferred]
+# Use xdg-desktop-portal-gtk for every portal interface...
+default=gtk
+# ... except for the ScreenCast and Screenshot
+org.freedesktop.impl.portal.ScreenCast=wlr
+org.freedesktop.impl.portal.Screenshot=wlr

diff --git a/gui-wm/swayfx/swayfx-0.4.ebuild b/gui-wm/swayfx/swayfx-0.4.ebuild
new file mode 100644
index 0000000000..19fd36a726
--- /dev/null
+++ b/gui-wm/swayfx/swayfx-0.4.ebuild
@@ -0,0 +1,93 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU Public License v2
+
+EAPI=8
+
+inherit meson optfeature
+
+DESCRIPTION="SwayFX: Sway, but with eye candy!"
+HOMEPAGE="https://github.com/WillPower3309/swayfx";
+
+SRC_URI="https://github.com/WillPower3309/swayfx/archive/refs/tags/${PV}.tar.gz
 -> ${P}.tar.gz"
+S="${WORKDIR}/${PN}-${PV}"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64"
+IUSE="+man +swaybar +swaynag tray wallpapers X"
+
+DEPEND="
+       >=dev-libs/json-c-0.13:0=
+       >=dev-libs/libinput-1.21.0:0=
+       sys-auth/seatd:=
+       dev-libs/libpcre2
+       >=dev-libs/wayland-1.21.0
+       x11-libs/cairo
+       >=x11-libs/libxkbcommon-1.5.0
+       x11-libs/pango
+       x11-libs/pixman
+       gui-wm/scenefx
+       media-libs/mesa[gles2,libglvnd(+)]
+       swaybar? ( x11-libs/gdk-pixbuf:2 )
+       tray? ( || (
+               sys-apps/systemd
+               sys-auth/elogind
+               sys-libs/basu
+       ) )
+       wallpapers? ( gui-apps/swaybg[gdk-pixbuf(+)] )
+       X? ( x11-libs/libxcb:0=
+                x11-libs/xcb-util-wm
+       )
+"
+DEPEND+="
+       >=gui-libs/wlroots-0.17:=[X?]
+       <gui-libs/wlroots-0.18:=[X?]
+"
+
+RDEPEND="
+       x11-misc/xkeyboard-config
+       ${DEPEND}
+"
+BDEPEND="
+       >=dev-libs/wayland-protocols-1.24
+       >=dev-build/meson-0.60.0
+       virtual/pkgconfig
+"
+BDEPEND+="man? ( >=app-text/scdoc-1.9.2 )"
+REQUIRED_USE="tray? ( swaybar )"
+
+src_configure() {
+       local emesonargs=(
+               $(meson_feature man man-pages)
+               $(meson_feature tray)
+               $(meson_feature X xwayland)
+               $(meson_feature swaybar gdk-pixbuf)
+               $(meson_use swaynag)
+               $(meson_use swaybar)
+               $(meson_use wallpapers default-wallpaper)
+               -Dfish-completions=true
+               -Dzsh-completions=true
+               -Dbash-completions=true
+       )
+
+       meson_src_configure
+}
+
+src_install() {
+       meson_src_install
+       insinto /usr/share/xdg-desktop-portal
+       doins "${FILESDIR}/sway-portals.conf"
+}
+
+pkg_postinst() {
+       optfeature_header "There are several packages that may be useful with 
swayfx:"
+       optfeature "wallpaper utility" gui-apps/swaybg
+       optfeature "idle management utility" gui-apps/swayidle
+       optfeature "simple screen locker" gui-apps/swaylock
+       optfeature "lightweight notification daemon" gui-apps/mako
+       echo
+       einfo "For a list of additional addons and tools usable with sway 
please"
+       einfo "visit the offical wiki at:"
+       einfo "https://github.com/swaywm/sway/wiki/Useful-add-ons-for-sway";
+       einfo "Please note that some of them might not (yet) available on 
gentoo"
+}

Reply via email to